DtMrmInitialize(library call)

NAME
DtMrmInitialize — registers the Dt Widget with the Mrm library and initializes it

SYNOPSIS

#include &<Dt/Mrm.h>
void DtMrmInitialize(void)

DESCRIPTION

DtMrmInitialize first calls MrmInitialize, and then, using MrmRegisterClass, registers the following Dt widgets:

•   DtMenuButton

•   DtTerm

•   DtHelpDialog, DtHelpQuickDialog

•   DtEditor

•   DtPrintSetupBox, DtPrintSetupDialog

(Refer to the individual widgets for the exact class pointer names, resources, etc.)

DtMrmInitialize is part of the DtMrm run time library. It is necessary to link with libMrm to use this function. It is also necessary to link with libDtHelp, libDtPrint, libDtTerm, and libDtWidget to resolve all the create routines.

This function might be implemented as a macro. Do not rely on it being a function (i.e. usable as data) in all implementations of CDE.

ARGUMENTS

None.

SEE ALSO

uil(1)